//+------------------------------------------------------------------+
//|                                                         Test.mq4 |
//|                               Copyright  2011, Yury V. Reshetov |
//|                                                  http://heigh.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Yury V. Reshetov"
#property link      "http://heigh.ru"

//--- input parameters
extern double    tp = 100.0;
extern double    sl = 100.0;
extern double    lots = 1.0;



//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int total = OrdersTotal();
   
   if (total > 0) {
      return(0);
   }
   
   total = OrdersHistoryTotal();
   
   int type = total % 2;
   
   if (type == 0) {
      OrderSend(Symbol(), OP_BUY, lots, Ask, 0, Ask - sl * Point, Ask + tp * Point, WindowExpertName(), 0, 0, Blue); 
   } else {
      OrderSend(Symbol(), OP_SELL, lots, Bid, 0, Bid + sl * Point, Bid - tp * Point, WindowExpertName(), 0, 0, Red); 
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+